1
Vote

Version detection of JQuery

description

We are using JQuery version 1.10.2 and unfortunately your module is not handling this version number correctly. Looking at the CookiePlugin.min.js you simply parse the version number to an integer.

So for the minimum version you get 144000 but for 1.10.2 you get 110200 so the check fails.

We need a more robust way to check the version; potentially this may require breaking the version into major minor to get a more robust solution.

For now I have commented the alert out as a workaround as I know that all my sites will be running 1.10.2. If I get the time I will revisit this and be more than happy to provide a revised code snippet.

Thanks for a great extension to DNN by the way!

comments